/* gcc_cpp */

/* 
 * Problem  : Order
 * Contest  : UOI-2007 (Kremenchug)
 * Type     : Solution
 * Date     : April 1, 2007
 * Version  : 1.0
 * Author   : Andrii Grynenko
 * Language :	C++
 * Compiler :	GNU C++
 * Algorithm:	Greedy solution (fast, but doesn't always produce correct answer)
 */
 
#include <cstdio>
#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

#define INF 1000000000000000000LL

int main ()
{
	int n;
	
	freopen ("order.dat", "r", stdin);
	freopen ("order.sol", "w", stdout);
	
	scanf ("%d", &n);
	long long res = 0;
	int x1=0, x2=0;
	
	for (int i=0; i<n; i++)
	{
		int x;
		scanf ("%d", &x);
		if (abs (x-x1)>abs (x-x2))
			swap (x1,x2);
		res+=abs (x-x1);
		x1 = x;
	}
	
	printf ("%Ld\n", res);
	
	
	return 0;
}

